Bug 9541 - Opac-user doesn't load correct CSS for multiple branches
Summary: Opac-user doesn't load correct CSS for multiple branches
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 10387
  Show dependency treegraph
 
Reported: 2013-02-04 16:36 UTC by Elliott Davis
Modified: 2014-12-07 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9541 - Opac-user doesn't load correct CSS for multiple branches (813 bytes, patch)
2013-02-19 16:45 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9541 - Opac-user doesn't load correct CSS for multiple branches (860 bytes, patch)
2013-02-19 16:54 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9541 - Opac-user doesn't load correct CSS for multiple branches (1.42 KB, patch)
2013-05-09 11:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9541 - Opac-user doesn't load correct CSS for multiple branches (1.47 KB, patch)
2013-05-31 18:58 UTC, Galen Charlton
Details | Diff | Splinter Review
Bug 9541 - Opac-user doesn't load correct CSS for multiple branches (1.51 KB, patch)
2013-06-18 09:43 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Elliott Davis 2013-02-04 16:36:17 UTC
When clicking the login link for opac-user.pl in a multiple branch scenario the environment variable for OPAC_CSS_OVERRIDE is ignored from the koha-conf.xml file.  It seems like is is working on every page in the opac except for the login page.
Comment 1 Kyle M Hall 2013-02-19 16:45:13 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-02-19 16:54:14 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-03-14 13:07:21 UTC
This patch has no description of the problem, no description of the solution, and no test plan.
Comment 4 Kyle M Hall 2013-05-09 11:26:34 UTC Comment hidden (obsolete)
Comment 5 Galen Charlton 2013-05-31 18:58:03 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2013-06-18 09:43:31 UTC
Created attachment 19109 [details] [review]
Bug 9541 - Opac-user doesn't load correct CSS for multiple branches

When clicking the login link for opac-user.pl in a multiple branch
scenario the environment variable for OPAC_CSS_OVERRIDE is ignored from
the koha-conf.xml file.  It seems like is is working on every page in
the opac except for the login page.

Test Plan:
1) Set up a Koha server with 2 separate catalog configurations
   ( e.g. opac1.kohatest, opac2.kohatest )
2) Set the OPAC_CSS_OVERRIDE directive for separate css files
   in each opac
3) Browse to the opac login page, note the css is not applied
4) Apply this patch
5) Reload the page, note the css is now applied

Signed-off-by: Galen Charlton <gmc@esilibrary.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 7 Galen Charlton 2013-06-18 14:04:31 UTC
Pushed to master.  Thanks, Kyle!
Comment 8 Tomás Cohen Arazi 2013-07-07 00:09:49 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Thanks Kyle!
Comment 9 Bernardo Gonzalez Kriegel 2013-07-14 13:42:49 UTC
Pushed to 3.10.x, will be in 3.10.8
Comment 10 Chris Hall 2013-07-18 09:15:10 UTC
Pushed to 3.8.x, will be in 3.8.15